# don't provide private .so
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{_libdir}/%{name}/.*\\.so

%global __python %{__python3}

Name:		firejail
Summary:	SUID sandbox program
Version:	0.9.70
%define subrel	1
Release:	%mkrel 1
License:	GPLv2
Group:		System/Base
Url:		https://firejail.wordpress.com/
Source0:	https://download.sourceforge.net/firejail/firejail-%{version}.tar.xz
Patch1:         0001-Print-only-a-warning-if-etc-login.defs-cannot-opened.patch
# Until mga#30787 gets fixed
BuildRequires:  python-macros
BuildRequires:	dos2unix
BuildRequires:	git-core
Requires:	python3

%description
Firejail is a SUID program that reduces the risk of security breaches by
restricting the running environment of untrusted applications using Linux
namespaces and seccomp-bpf. It allows a process and all its descendants to
have their own private view of the globally shared kernel resources, such
as the network stack, process table, mount table.

%prep
%autosetup -p1 -Sgit_am

# fix shebang
dos2unix contrib/*.py
%py_shebang_fix contrib

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%license COPYING
%doc README RELNOTES
%dir %{_sysconfdir}/firejail/
%config %{_sysconfdir}/firejail/*
%{_datadir}/bash-completion/completions/fire*
%{_datadir}/zsh/site-functions/_firejail
%{_datadir}/vim/vimfiles/*/firejail.vim
%{_mandir}/man?/{fire,jail}*.?*
%{_bindir}/{fire,jail}*
%{_libdir}/firejail/


%changelog
* Sat Sep 17 2022 wally <wally> 0.9.70-1.1.mga8
+ Revision: 1889647
- output only a warning if /etc/login.defs is non-readable (mga#30858)
- new version 0.9.70 to fix CVE-2022-31214 and other issues since the previous release (mga#30528)

* Tue Feb 08 2022 neoclust <neoclust> 0.9.64-1.2.mga8
+ Revision: 1772611
- Add P101: Fixes security issues (mga#30007)

* Thu Feb 25 2021 wally <wally> 0.9.64-1.1.mga8
+ Revision: 1690195
- disable overlayfs support by default (CVE-2021-26910) (mga#28322)

* Sat Oct 24 2020 wally <wally> 0.9.64-1.mga8
+ Revision: 1639145
- new version 0.9.64

* Wed Aug 26 2020 wally <wally> 0.9.62.4-1.mga8
+ Revision: 1619147
- new version 0.9.62.4

* Wed Aug 12 2020 wally <wally> 0.9.62.2-1.mga8
+ Revision: 1613647
- new version 0.9.62.2

* Sat Aug 08 2020 wally <wally> 0.9.62-4.mga8
+ Revision: 1612069
- really apply patches for CVE-2020-1736[7,8] (mga#27059)

* Sat Aug 08 2020 wally <wally> 0.9.62-3.mga8
+ Revision: 1612065
- add upstream patches to fix CVE-2020-1736[7,8] (mga#27059)

* Wed Feb 19 2020 umeabot <umeabot> 0.9.62-2.mga8
+ Revision: 1543047
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 12 2020 wally <wally> 0.9.62-1.mga8
+ Revision: 1477654
- new version 0.9.62

* Sat Aug 03 2019 wally <wally> 0.9.60-1.mga8
+ Revision: 1427151
- new version 0.9.60

* Fri Jan 18 2019 wally <wally> 0.9.56-2.mga7
+ Revision: 1357899
- switch to python3

* Wed Oct 24 2018 wally <wally> 0.9.56-1.mga7
+ Revision: 1325063
- new version 0.9.56

* Sat Aug 25 2018 wally <wally> 0.9.54-1.mga7
+ Revision: 1254449
- new version 0.9.54

* Sun Apr 22 2018 wally <wally> 0.9.52-2.mga7
+ Revision: 1221041
- fix python script shebangs
- don't provide private .so

* Sun Apr 22 2018 wally <wally> 0.9.52-1.mga7
+ Revision: 1221022
- imported package firejail

